[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomPage.CMVisibleChanged

Handles the CM_VISIBLECHANGED message for the control.

## Declaration

Source position: comctrls.pp line 251

`protected procedure TCustomPage.CMVisibleChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message handled in the method.

## Description

Calls the inherited method to handle a focus change and update the control state. If the control is Visible, the DoShow method is called to signal the OnShow event handler (when assigned). Otherwise, DoHide is called to signal the OnHide event handler (when assigned).

## See also

TCustomPage.DoShow |  | Performs actions needed when Visible is changed to True.
TCustomPage.DoHide |  | Performs actions needed when Visible is changed to False.
TCustomPage.OnShow |  | Event handler signalled when the page becomes visible.
TCustomPage.OnHide |  | Event handler signalled when the page is hidden.
TWinControl.CMVisibleChanged |  | Handles Focus changes, and forces UpdateControlState.